Bug 510460 - CD-ROM unit eject button does not eject the CD
CD-ROM unit eject button does not eject the CD
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: DeviceKit-disks (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: David Zeuthen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-07-09 07:48 EDT by Àlex Magaz Graça
Modified: 2013-03-05 22:58 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 09:32:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
FreeDesktop.org 24052 None None None Never

  None (edit)
Description Àlex Magaz Graça 2009-07-09 07:48:10 EDT
Description of problem:
When a CD is mounted in Gnome, the eject button from the CD-ROM unit does not eject it.

Version-Release number of selected component (if applicable):

DeviceKit-disks-004-4.fc11.i586

How reproducible:

Always.

Steps to Reproduce:
1. Insert a CD.
2. It gets automatically mounted and Nautilus opens a windows with its content.
3. Push the eject button from the CD-ROM unit.
  
Actual results:

Nothing happens.

Expected results:

The CD is ejected.

Additional info:

It used to work in Fedora 9, maybe also in Fedora 10, but right now I don't have any machine at hand to test it.

Sorry, not really sure to which package the bug belongs, just guessing.
Comment 1 Pablo Mandiola 2009-09-25 12:19:55 EDT
I'm having this problem since I changed to Fedora 11 too. In Fedora 10 the eject button did work.
Comment 3 RJ 2009-10-14 02:43:53 EDT
I have added external bug.
Comment 4 Pablo Mandiola 2009-10-14 14:27:32 EDT
Sorry for my ignorance.. But in case it was fixed upstream, how can I try the fix?
Comment 5 RJ 2009-10-14 16:04:20 EDT
1. you can try to apply the patch to spec file from srpm sources and rebuild it yourself.

2. or wait until David, or somebody else, will create a package for Fedora 11 and 12 (rawhide)
Comment 6 Bug Zapper 2010-04-27 11:34:35 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bug Zapper 2010-06-28 09:32:24 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.